<?php
defined( 'ABSPATH' ) || die();

$tab = ( ! empty( $_GET['tab'] ) ) ? esc_attr( $_GET['tab'] ) : 'form_fields';

$tabs = array(
	'form_fields' => esc_html__( 'Form Fields', 'contact-form-query' ),
	'design'      => esc_html__( 'Design', 'contact-form-query' ),
	'captcha'     => esc_html__( 'Captcha', 'contact-form-query' ),
	'email'       => esc_html__( 'Email', 'contact-form-query' ),
	'uninstall'   => esc_html__( 'Uninstall', 'contact-form-query' ),
);
?>
<div class="wrap stcfq">
	<h1><?php esc_html_e( 'Contact Form Query', 'contact-form-query' ); ?></h1>
	<h2 class="nav-tab-wrapper">
		<?php
		foreach ( $tabs as $key => $value ) {
			$class = ( $tab === $key ) ? ' nav-tab-active' : '';
		?>
		<a class="nav-tab<?php echo esc_attr( $class ); ?>" href="?page=stcfq_settings&tab=<?php echo esc_attr( $key ); ?>">
			<?php echo esc_html( $value ); ?>
		</a>
		<?php
		}
		?>
	</h2>
	<div class="stcfq-section">
	<?php
	if ( 'form_fields' === $tab ) {
		require_once STCFQ_PLUGIN_DIR_PATH . 'admin/inc/setting/tabs/form-fields.php';
	} elseif ( 'design' === $tab ) {
		require_once STCFQ_PLUGIN_DIR_PATH . 'admin/inc/setting/tabs/design.php';
	} elseif ( 'captcha' === $tab ) {
		require_once STCFQ_PLUGIN_DIR_PATH . 'admin/inc/setting/tabs/captcha.php';
	} elseif ( 'email' === $tab ) {
		require_once STCFQ_PLUGIN_DIR_PATH . 'admin/inc/setting/tabs/email.php';
	} elseif ( 'uninstall' === $tab ) {
		require_once STCFQ_PLUGIN_DIR_PATH . 'admin/inc/setting/tabs/uninstall.php';
	}
	?>
	</div>
</div>
